PHP Manual
Prev |  | Next

# HaruDoc::loadType1

(no version information, might be only in CVS)

HaruDoc::loadType1 -- Load Type1 font

## Description

string HaruDoc::loadType1 ( string afmfile [, string pfmfile] )

Loads Type1 font from the given file and registers it in the PDF document.

## Parameters

`afmfile`

  Path to an AFM file.

`pfmfile`

  Path to a PFA/PFB file, optional. If it's not set only the glyph data of the font is embedded into the PDF document.

## Return Values

Returns the name of the loaded font on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::loadTTC()
HaruDoc::loadTTF()

Prev | Home | Next
HaruDoc::loadTTF | Up | HaruDoc::output